#include "log.h"
#include <stdarg.h>
#include <stdio.h>

void info(const char *msg, ...) {
  va_list args;
  va_start(args, msg);

  printf(C_BOLD C_BLUE ">>> " C_RESET C_BOLD);
  vprintf(msg, args);
  printf(C_RESET "\n");

  va_end(args);
}

void error(const char *msg, ...) {
  va_list args;
  va_start(args, msg);

  printf(C_BOLD C_RED ">>> " C_RESET C_BOLD);
  vprintf(msg, args);
  printf(C_RESET "\n");

  va_end(args);
}

void success(const char *msg, ...) {
  va_list args;
  va_start(args, msg);

  printf(C_BOLD C_GREEN ">>> " C_RESET C_BOLD);
  vprintf(msg, args);
  printf(C_RESET "\n");

  va_end(args);
}
